<div class="wrap-allContent">
    <div class="allContent">
    <div class="bt-signin-sigup">
      <div class="bt-signin ">{{ link_to('signin', lang['btn_signin']) }}</div>
      <div class="bt-signup ">{{ link_to('signup', lang['btn_signup']) }}</div>
    </div>
    
    <div class="wrap-box">
      <div class="wrap-box-content">
        <!-- แจ้งให้ตรวจสอบอีเมล์ -->
        <div class="dialog" id="Is_Member_Forget_Success_Token" style="display: none;">
            <div class="token-expire">
            <h4 class="title-dialog">{{ lang['lb_forgetpassword_alert'] }}</h4>
            <div class="detail-dialog" id="dialog-msg-detail"></div>
            <div class="button-dialog">
                <ul class="buttonLists-dialog">
                <li>{{ link_to('forgetpass/verify', lang['btn_ok']) }}</li>
              </ul>
            </div>
          </div>
        </div>

        

        <div class="dialog" id="Is_Member_Forget_Error_Alert" style="display: none;">
            <div class="token-expire">
            <h4 class="title-dialog"><font color="red">{{ lang['lb_title_alert'] }}</font></h4>
            <div class="detail-dialog" id="dialog-msg-error-detail"></div>
            <div class="button-dialog">
                <ul class="buttonLists-dialog">
                <li>{{ link_to('forgetpass',  lang['btn_ok']) }}</li>
              </ul>
            </div>
          </div>
        </div>

        <div class="brand-logo">{{ image('themes/frontend/images/logo-notegang2.png', 'alt': '', 'width': 136, 'height': 42) }}</div>
        <div class="introduction">{{ lang['cont_forget_form_comment'] }}</div>

        {{ form('forgetpass/checkforget', 'method': 'post', 'name': 'frmForget', 'id': 'frmForget') }}
          <div class="formSignup">
            <div class="wrap-textField">
                <label for="email" class="label">{{ lang['lb_email'] }}</label>
                <div class="wrap-textField form-group">
                    {{ text_field('txt_email', 'id': 'txt_email', 'placeholder': lang['lb_email'], 'class': 'text-field form-control') }}
                </div>
              
              <!-- ไม่พบ email นี้ในระบบ
              <label for="email" class="label">Email</label><input type="text" class="text-field text-field-error" id="email" />
              <div class="text-error">ไม่พบ Email นี้ในระบบ กรุณาตรวจสอบอีกครั้งค่ะ</div> -->
             
            </div>
            <div class="wrap-buttonSubmit">
                {{ submit_button('Send', 'class': 'submit-bt', 'value': lang['btn_ok']) }}
            </div>
          </div>
        {{ end_form() }}

        </div>
      <!-- End wrap-box-content -->  
      </div>
    <!-- End wrap-box -->  
    </div>
    </div>
</div>

{{ javascript_include('assets/js/jquery.validate.js') }}


<script type="text/javascript">
    $(function(){
        $('#frmForget').validate({
            errorElement: 'div',
            errorClass: 'help-block text-error',
            focusInvalid: false,
            ignore: "",
            rules: { //txt_name l_gender txt_mobile
                "txt_email": {
                    required: true,
                    email:true,
                    remote: {
                        type: "post",
                        url: "{{ url.get() }}forgetpass/checkemail",
                        data: {
                            "strEmail": function(){ return $("#txt_email").val(); }
                        },
                        dataType: "json"
                    }
                }
            },
            messages: {
                "txt_email": {
                    required: "{{ lang['msg_required_email'] }}",
                    email: "{{ lang['msg_format_email'] }}",
                    remote: "{{ lang['msg_set_newpassword_not_found_email'] }}"
                }
            },
    
    
            highlight: function (e) {
                $(e).closest('.form-group').removeClass('has-info').addClass('has-error');
            },
    
            success: function (e) {
                $(e).closest('.form-group').removeClass('has-error');//.addClass('has-info');
                $(e).remove();
            },
    
            errorPlacement: function (error, element) {
                error.insertAfter(element.parent());
            },
    
            submitHandler: function (form) {
                jQueryAjaxDataSubmit("frmForget", "json", callBackFunction);
            },
            invalidHandler: function (form) {
            }
        });
    });

    function callBackFunction(data) 
    {
        if (data.success) {
            //$("#dialog-msg-detail").text(data.msg);
            //$("#Is_Member_Forget_Success_Token").show();
            //jQueryResetForm("frmForget");
            jQueryRedirectUrl("{{ url.get() }}forgetpass/landing/?mail=" + data.option, 500);
        } else { 
            $("#dialog-msg-error-detail").text(data.msg);
            $("#Is_Member_Forget_Error_Alert").show();
            jQueryResetForm("frmForget");
        }
        return false;
    }
</script>